Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.application
[Groovy] Class CreateStartScripts

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.application.CreateStartScripts

    class CreateStartScripts
    extends ConventionTask

A Task for creating OS dependent startScripts.

Authors:
  Rene Groeschke

Property Summary
`java.lang.String` | `applicationName` The application's name
`FileCollection` | `classpath` The classpath for the application.
`java.lang.String` | `exitEnvironmentVar`
`java.lang.String` | `mainClassName` The application's main class
`java.lang.String` | `optsEnvironmentVar`
`java.io.File` | `outputDir` The directory to write the scripts into.

Method Summary
`void` | `generate()`
`void` | `generateLinuxStartScript(java.lang.Object binding)`
`void` | `generateWindowsStartScript(java.lang.Object binding)`
`java.lang.String` | `getExitEnvironmentVar()`
`java.lang.String` | `getOptsEnvironmentVar()` Returns the name of the application's OPTS environment variable.
`static java.lang.String` | `transformIntoWindowsNewLines(java.lang.String s)`

Property Detail

### applicationName

    @Input
    java.lang.String applicationName

  The application's name

### classpath

    @InputFiles
    FileCollection classpath

  The classpath for the application.

### exitEnvironmentVar

    java.lang.String exitEnvironmentVar

### mainClassName

    @Input
    java.lang.String mainClassName

  The application's main class

### optsEnvironmentVar

    java.lang.String optsEnvironmentVar

### outputDir

    @OutputDirectory
    java.io.File outputDir

  The directory to write the scripts into.

Method Detail

### generate

    @TaskAction
    void generate()

### generateLinuxStartScript

    void generateLinuxStartScript(java.lang.Object binding)

### generateWindowsStartScript

    void generateWindowsStartScript(java.lang.Object binding)

### getExitEnvironmentVar

    @Input
    java.lang.String getExitEnvironmentVar()

### getOptsEnvironmentVar

    @Input
    java.lang.String getOptsEnvironmentVar()

  Returns the name of the application's OPTS environment variable.

### transformIntoWindowsNewLines

    static java.lang.String transformIntoWindowsNewLines(java.lang.String s)

Groovy Documentation